require 'helpers'
require 'base64'

class Dropbox
		attr_reader :path
		attr_reader :stat
		attr_reader :symlink
		attr_reader :pointer

private
	def initialize
		# Run template data
		#
		@path = get_path
		@stat = get_stat
		@symlink = is_symlink?
		@pointer = get_pointer
	end

	def get_path
    preferred_path, old_path = File.expand_path("~/.dropbox/host.dbx"), File.expand_path("~/.dropbox/host.db")
    return non_standard_dropbox_location? unless (File.exist?(preferred_path) or File.exist?(old_path))
    path_file = File.exist?(preferred_path) ? preferred_path : old_path
    lines = File.readlines(File.expand_path(path_file))
    return Base64.decode64(lines[1])
	end

	def non_standard_dropbox_location?
    path = ""
    path = $1 if `sqlite3 ~/.dropbox/config.db "select * from config where key='dropbox_path'"` =~ /dropbox_path\|(.*)\n/
    path = File.expand_path("~/Dropbox") if path.empty?
    return path
  end

	def get_stat
		%x{stat "#{@path}"}
	end

	def is_symlink?
		File.symlink?(@path)	
	end

	def get_pointer
		file = "#{@path}/.ws.agile.1Password.settings"
		if File.exists?(file)
			%x{cat "#{file}"}
		else
			"Does Not Exist"
		end
	end

end
