class TestChromeAdblock < BaseTest
	def setup
		@testname = "Check for Adblock Plus in Firefox"
		@description = "Check to see if Adblock Plus is installed in Firefox"
		isWarning
	end

	def test
		#return false unless @data.chrome.profiles.count > 0

		found_ab = false
		found_abp = false

		@data.chrome.profiles.each do |profile|
			if profile.extensions.count > 0 
				profile.extensions.each do |extension|
					found_ab = true if extension.extension_id =~ /gighmmpiobklfepjocnamgkkbiglidom/
					found_abp = true if extension.extension_id =~ /cfhdojbkjhnklbpkdaibdccddilifddb/
				end
			end
		end

		if found_ab && found_abp
			failed!
			@helpmessage = "Adblock and Adblock Plus are installed in one or more Chrome profiles. These have been know to interfere with the 1Password helper and extension" 
		elsif found_abp
			failed!
			@helpmessage = "Adblock Plus is installed in one or more Chrome profiles. This has been known to interfere with the 1Password helper and extension."
		elsif found_ab
			failed!
			@helpmessage = "Adblock is installed in one or more Chrome profiles. This has been known to interfere with the 1Password helper and extension" 
		else
			passed!
			@helpmessage = "Adblock was not found in any Chrome profiles."
		end		
	end

end

