class TestChromeJSE3Unsynced < BaseTest
	def setup
		@testname = "Check if 1Password Extension version 3 is installed in Chrome and has unsynced items"
		@description = "N/A"
	end

	def test
		found = false
		profiles = []
		unsynced = false

		@data.chrome.profiles.each do |profile|
			profile.extensions.each do |extension|
				if extension.extension_id =~ /gkndfifo/ || extension.extension_id =~ /hdmbinom/
					found = true

					profile.jse3.each do |db|
						if db.unsynced_items > 0 
							profiles << profile.name
							unsynced = true
						end
					end

				end # if
			end # extension
		end #profile


		if found && unsynced
			isError
			failed!
			@helpmessage = "1Password Extension version 3 for Chrome is installed and has unsynced items. Profiles: #{profiles.uniq.join(", ")}."
		elsif found && unsynced == false
			isWarning
			failed!
			@helpmessage = "1Password Extension version 3 for Chrome is installed but has no unsynced items."
		else
			isWarning
			passed!
			@helpmessage = "1Password Extension version 3 for Chrome is not installed."
		end

	end
end
