require 'helpers'

class TestChromeJavascriptEnabled < BaseTest
	def setup
		@testname = "Test if Chrome Javascript is Enabled"
		@description = "If Javascript is not enabled the extension will not fill into webpages."
		isError
	end

	def test
		enabled = true
		if @data.chrome.profiles.count > 0
			@data.chrome.profiles.each do |profile|
				enabled = false unless profile.javascript_enabled
			end
		end

		if enabled
			passed!
			@helpmessage = "Javascript is enabled in all Chrome profiles"
		else
			failed!
			@helpmessage = "Javascript is not enabled in one or more Chrome profiles. This will cause the extension to not fill into webpages." 
		end
	end
end

