class TestFirefoxAdblock < BaseTest
	def setup
		@testname = "Check for Adblock Plus in Firefox"
		@description = "Check to see if Adblock Plus is installed in Firefox"
		isWarning
	end

	def test
		return false unless @data.firefox.profiles.count > 0

		found = false

		@data.firefox.profiles.each do |profile|
			if profile.installed_extensions.count > 0 
				profile.installed_extensions.each do |extension|
					found = true if extension.name =~ /Adblock Plus/
				end
			end
		end

		if found == true
			failed!
			@helpmessage = "Adblock Plus is installed in Firefox. This has been known to interfere with the 1Password helper and extension"
		else
			passed!
			@helpmessage = "Adblock Plus was not found."
		end		
	end

end
