class TestFirefoxJSE3Unsynced < BaseTest
	def setup
		@testname = "Check if 1Password Extension version 3 is installed in Firefox and has unsynced items"
		@description = "N/A"
	end

	def test
		found = false
		profiles = []

		@data.firefox.profiles.each do |profile|
			profile.installed_extensions.each do |extension|
				if extension.name =~ /onepassword/ && extension.enabled && extension.version =~ /^3/
					found = true
					profiles << profile.name
				end
			end
		end

		if found && @data.firefox.jse3.unsynced_items > 0
			isError
			failed!
			@helpmessage = "1Password Extension version 3 for Firefox is installed and has unsynced items. Profiles: #{profiles.join(", ")}. Unsynced Items: #{@data.firefox.jse3.unsynced_items}"
		elsif found && @data.firefox.jse3.unsynced_items == 0
			isError
			failed!
			@helpmessage = "1Password Extension version 3 for Firefox is installed but no unsynced items. Profiles: #{profiles.join(", ")}"
		else
			isWarning
			passed!
			@helpmessage = "1Password Extension version 3 for Firefox is not installed"
		end
	end
end
