require 'helpers'

class TestFirefoxJavascriptEnabled < BaseTest
	def setup
		@testname = "Firefox Javascript Enabled"
		@description = "This is a test to determine if Firefox has Javascript enabled or disabled"

		isError
	end

	def test
		# Get Firefox Profiles List
		profiles = @data.firefox.profiles

		disabled = false

		# Check each profile
		profiles.each do |profile|
			unless profile.javascript_enabled
				disabled = true
			end
		end

		if disabled == false
			passed!
			@helpmessage = "All Firefox profiles have Javascript enabled"
			return
		else
			failed!
			@helpmessage = "One or more Firefox profiles have Javascript disabled. This will cause the extension to not fill into webpages."
		end
	end
end

