require 'helpers'

class TestFirefoxWebsocketEnabled < BaseTest
	def setup
		@testname = "Firefox Websocket Enabled"
		@description = "This is a test to determine if Firefox has websockets are enabled or disabled"

		isError
	end

	def test
		# Get Firefox Profiles List
		profiles = @data.firefox.profiles

		disabled = false

		# Check each profile
		profiles.each do |profile|
			unless profile.websocket_enabled
				disabled = true
			end
		end

		if disabled == false
			passed!
			@helpmessage = "All Firefox profiles have websocket enabled"
			return
		else
			failed!
			@helpmessage = "One or more Firefox profiles have websocket disabled"
			return
		end
	end
end
