class TestForFoxyProxy < BaseTest
	def setup
		@testname = "Check for FoxyProxy Basic"
		@description = "Foxy Proxy implies a Proxy server in Firefox, which can interfere with 1Password's extension and helper"
		isWarning
	end

	def test
		return false unless @data.firefox.profiles.count > 0

		found = false

		@data.firefox.profiles.each do |profile|
			if profile.installed_extensions.count > 0 
				profile.installed_extensions.each do |extension|
					found = true if extension.name =~ /foxyproxy/
				end
			end
		end

		if found == true
			failed!
			@helpmessage = "Foxy Proxy was found installed in Firefox, this has been known to interfere with the extension and 1Password Helper"
		else
			passed!
			@helpmessage = "Foxy Proxy was not found."
		end
	end
end
