require 'helpers'

class TestForSophos < BaseTest
	def setup
		@testname = "Test for Sophos"
		@description = "Checking for Sophos which can cause blockages with 1Password Helper and browser extension"
	end

	def test
		if @data.osx.sophos_installed && @data.osx.sophos_web_protection_enabled == false
			failed!
			isWarning
			@helpmessage = "Sophos is installed, but Web Protection is not enabled"
		elsif @data.osx.sophos_installed && @data.osx.sophos_web_protection_enabled && @data.osx.sophos_localhost_allowed == false
			failed!
			isError
			@helpmessage = "Sophos is installed, Web Protection is enabled and 127.0.0.1 is not on the allowed list."
		else
			passed!
			isInfo
			@helpmessage = "Sophos was not found"
		end
	end
end
