require 'helpers'
require 'rubygems'

class TestOSXVersion1084Min < BaseTest
	def setup
		@testname = "Test if the user is using at least OS X 10.8.4"
		@description = "Test if the use is using at least OS X 10.8.4"
		isWarning
	end

	def test
		minimum_version = Gem::Version.new('10.8.4')
		user_version = Gem::Version.new(@data.osx.version)

		if user_version >= minimum_version
			passed!
			@helpmessage = "OS X version is at least 10.8.4"
		else
			failed!
			@helpmessage = "OS X version is lower than 10.8.4, the user should upgrade due to XPC changes in 10.8.4"
		end
	end
end
