class TestSafariJSE3Unsynced < BaseTest
	def setup
		@testname = "Check if 1Password Extension version 3 is installed in Safari and has unsynced items"
		@description = "N/A"
	end

	def test
		found = false
		enabled = false

		if @data.safari.installed_extensions.count > 0
			@data.safari.installed_extensions.each do |extension|
				found = true if extension.extname =~ /1Password/ && extension.version < "4" && extension.enabled == true
			end
		end

		# Extension is installed, enabled and has more than 0 unsynced items
		if found == true && @data.safari.jse3.unsynced_items > 0
			isError
			failed!
			@helpmessage = "1Password Extension version 3 for Safari is installed and has unsynced items. Total unsynced: #{@data.safari.jse3.unsynced_items}"

		# Extension is installed, enabled but has no unsynced items
		elsif found == true
			isWarning
			failed!
			@helpmessage = "1Password Extension version 3 for Safari is installed, no unsynced items"

		# Extension is not installed
		else
			isWarning
			passed!
			@helpmessage = "1Password Extension version 3 for Safari is not installed"
		end
	end
end
